namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Move, "thousand_arrows")]
public class ThousandArrowsEffect : Script, IScriptChangeTypesForIncomingMove, IScriptIsFloating
{
    /// <inheritdoc />
    public void IsFloating(IPokemon pokemon, ref bool isFloating)
    {
        isFloating = false;
    }

    /// <inheritdoc />
    public void ChangeTypesForIncomingMove(IExecutingMove executingMove, IPokemon target, byte hitIndex,
        IList<TypeIdentifier> types)
    {
        if (executingMove.UseMove.MoveType.Name == "ground")
        {
            types.RemoveAll(x => x.Name == "flying");
        }
    }
}